#
# crash core analysis suite
#
Summary: Cell/B.E. SPU commands extension for crash
Name: crash-spu-commands
Version: 1.1
Release: 1%{?dist}
License: GPLv2
Group: Development/Debuggers
Source: %{name}-%{version}.tar.gz
URL: http://www.ibm.com/developerworks/power/cell/
Vendor: IBM Corporation
Packager: Lucio Correia <luciojhc@br.ibm.com>
ExclusiveOS: Linux
ExclusiveArch: ppc64
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: crash-devel zlib-devel

%description
Specific commands for debugging SPU run control data using crash.

%prep
%setup -n %{name}-%{version}

%build
make

%install
mkdir -p %{buildroot}%{_libdir}/crash/extensions/
cp %{_builddir}/%{name}-%{version}/spu.so %{buildroot}%{_libdir}/crash/extensions/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/crash/extensions/spu.so
%doc COPYING

%changelog
* Mon Jan 11 2010  Dave Anderson <anderson@redhat.com>  1.1-1.el6
  Add dist to release for RHEL6 version.

* Tue Nov 18 2008  Dave Anderson <anderson@redhat.com>
- Updated the source package to crash-spu-commands-1.1.tar.gz,
  which contains the GPLv2 COPYING file.
- Resolves: rhbz#471954

* Wed Sep 17 2008  Andre Detsch <adetsch@br.ibm.com>
- Fix for initial implementation of the "spus" command.
  Patch supplied by the new IBM maintainer, adetsch@br.ibm.com.
- Resolves: rhbz#320181

* Thu Aug 14 2008  Dave Anderson <anderson@redhat.com>
- build requires zlib-devel
- Resolves: rhbz#320181

* Mon Oct 5 2007 Lucio Correia <luciojhc@br.ibm.com>
- Initial crash-spu-commands package

